body {
  font-family: "Kanit", sans-serif;
  background-color: #f8fafc;
}
.dpim-green {
  color: #006837;
}
.bg-dpim-green {
  background-color: #006837;
}
.bg-dpim-light {
  background-color: #8dc63f;
}
.border-dpim {
  border-color: #f3f3f322;
}

/* Custom Stepper Styles */
.step-active {
  background-color: #006837 !important;
  color: white !important;
  border-color: #006837 !important;
}
.step-inactive {
  background-color: white !important;
  color: #94a3b8 !important;
  border-color: #e2e8f0 !important;
}
.step-completed {
  background-color: #d1fae5 !important;
  color: #006837 !important;
  border-color: #006837 !important;
}

.form-card {
  box-shadow:
    0 10px 25px -5px rgba(0, 104, 55, 0.1),
    0 8px 10px -6px rgba(0, 104, 55, 0.1);
}

.input-focus:focus {
  outline: none;
  border-color: #006837;
  box-shadow: 0 0 0 3px rgba(0, 104, 55, 0.1);
}

.banner-overlay {
  background: linear-gradient(
    to right,
    rgba(0, 0, 0, 0.336),
    rgba(0, 0, 0, 0.336)
  );
}

input[type="radio"]:checked {
  accent-color: #006837;
}

/* Validation Error Styles */
.input-error {
  border-color: #ef4444 !important;
  background-color: #fef2f2 !important;
}
select option {
  color: #1e293b !important;
  background-color: #ffffff !important;
}

select:disabled {
  color: #94a3b8;
  background-color: #f1f5f9;
}
#sel_province option,
#sel_district option,
#sel_subdistrict option,
#sel_estate option {
  color: #1e293b;
  background-color: #ffffff;
}
